Problems with Stellarium and Google Earth system update

Questions about applications and software
Forum rules

Problems with Stellarium and Google Earth system update

Postby marlar on Tue Jun 07, 2011 8:19 am

Hi,

I updated LMDE yesterday and I have now - as usual unfortunately! - encountered a few problems. Namely with Stellarium, Google Earth and Encfs. Because there are very different in nature I have created two threads. Here we go with the graphics problem....

Stellarium and Google Earth dont not work anymore.

Here is the output when starting Stellarium from the terminal:

Code: Select all
Using default graphics system specified at build time:  raster
-------------------------------------------------------
[ This is Stellarium 0.10.5 - http://www.stellarium.org ]
[ Copyright (C) 2000-2010 Fabien Chereau et al          ]
-------------------------------------------------------
Writing log file to: "/home/marlar/.stellarium/log.txt"
File search paths:
  0 .  "/home/marlar/.stellarium"
  1 .  "/usr/share/stellarium"
Config file is:  "/home/marlar/.stellarium/config.ini"
X Error: BadRequest (invalid request code or no such operation) 1
  Extension:    137 (Uknown extension)
  Minor opcode: 19 (Unknown request)
  Resource id:  0x3c0000f
X Error: BadRequest (invalid request code or no such operation) 1
  Extension:    137 (Uknown extension)
  Minor opcode: 14 (Unknown request)
  Resource id:  0x3c0000f
X Error: BadRequest (invalid request code or no such operation) 1
  Extension:    137 (Uknown extension)
  Minor opcode: 19 (Unknown request)
  Resource id:  0x3c0000f
X Error: BadRequest (invalid request code or no such operation) 1
  Extension:    137 (Uknown extension)
  Minor opcode: 14 (Unknown request)
  Resource id:  0x70
X Error: BadRequest (invalid request code or no such operation) 1
  Extension:    137 (Uknown extension)
  Minor opcode: 19 (Unknown request)
  Resource id:  0x70
QGLTempContext: No GL capable X visuals available.
QGLTempContext: No GL capable X visuals available.
QGLContext::makeCurrent(): Cannot make invalid context current.
QGLContext::makeCurrent(): Cannot make invalid context current.
QGLContext::makeCurrent(): Cannot make invalid context current.
QGLContext::makeCurrent(): Cannot make invalid context current.
QGLContext::makeCurrent(): Cannot make invalid context current.
QGLContext::makeCurrent(): Cannot make invalid context current.
QGLContext::makeCurrent(): Cannot make invalid context current.
Segmentfejl


The last line is Danish for Segmentation Fault.

And here for Google Earth:
Code: Select all
Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: forkert ELF-klasse: ELFCLASS64

(<unknown>:4143): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libglide.so: forkert ELF-klasse: ELFCLASS64
Google Earth has caught signal 11.


"Forkert ELF-klasse" means wrong ELF class.

I'ts a Lenovo T500 laptop with a ATI Mobility Radeon HD 3650 graphics card.

Btw, I have also notices that web pages scroll very slowly now.

Can anybody from the above error messages give me a clue? Please tell if you need more info.

Thanks,
Martin
marlar
Level 2
Level 2
 
Posts: 62
Joined: Thu Dec 10, 2009 9:30 am

Linux Mint is funded by ads and donations.
 

Re: Problems with Stellarium and Google Earth system update

Postby secipolla on Wed Jun 08, 2011 12:20 pm

It may be a video driver issue, both won't work if you don't have GL support. You could reinstall your video driver.
secipolla
Level 4
Level 4
 
Posts: 356
Joined: Sun Sep 05, 2010 5:19 pm


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 4 guests